> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Get IdP Group Role Assignment

GET https://%7Baccount-domain%7D.console.eon.io/api/v1/idp-groups/{groupId}

Retrieves an IdP group role assignment by ID.

Reference: https://docs.eon.io/api/api-reference/access-management/id-p-group-role-assignments/get-idp-group

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `groupId` (string, required) — Eon-assigned IdP group role assignment ID.

## Response

### 200

IdP group role assignment retrieved.

- `group` (IdpGroup, required) — IdP group role assignment.

## Errors

### 404 Not Found Error

IdP group role assignment wasn't found.

- `any`

## Types

### IdpGroup

IdP group role assignment.

- `id` (string, required) — Eon-assigned group ID.
- `idpId` (string, required) — [ID of the identity provider](./list-idps) the group belongs to.
- `providerGroupId` (string, required) — Identity-provider-assigned group ID. Must match the exact group ID passed by the identity provider to Eon during SAML sign-on.
- `roleIds` (list of string, required) — List of [role IDs](../roles/list-roles) assigned to the group.
- `displayName` (string, optional) — Display name for the group role assignment. Not used when matching SAML groups during sign-on.

## Examples

**Response**

```json
{
  "group": {
    "id": "daa42222-6ad2-5d37-bb26-4f2a9cba73da",
    "idpId": "8f14e45f-ceea-467f-a8dc-e5e47d61e5d7",
    "providerGroupId": "engineering-team",
    "roleIds": [
      "550e8400-e29b-41d4-a716-446655440000",
      "72bc42a0-e169-533f-b95a-4a434574756b"
    ],
    "displayName": "Engineering Team"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/idp-groups/daa42222-6ad2-5d37-bb26-4f2a9cba73da"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/idp-groups/daa42222-6ad2-5d37-bb26-4f2a9cba73da';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{account-domain}.console.eon.io/api/v1/idp-groups/daa42222-6ad2-5d37-bb26-4f2a9cba73da")
  .header("Authorization", "Bearer <token>")
  .asString();
```